{
    attributes = (
        {
            columnName = ANNEE; 
            externalType = NUMBER; 
            name = annee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CYCLE_AMENAGE"; 
            name = cycleAmenage; 
            prototypeName = intBoolean; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = GRADE; 
            externalType = NUMBER; 
            name = grade; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_DIPLOME"; 
            externalType = NUMBER; 
            name = idDiplome; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_ETABLISSEMENT_CUMULATIF"; 
            externalType = NUMBER; 
            name = idEtablissementCumulatif; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_LIEN_CT_ANNEE"; 
            externalType = VARCHAR2; 
            name = idLienConsultationAnnee; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_LIEN_CT_DIPLOME"; 
            externalType = VARCHAR2; 
            name = idLienConsultationDiplome; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_LIEN_CT_PARC_AN"; 
            externalType = VARCHAR2; 
            name = idLienConsultationParcoursAnnee; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_LIEN_CT_PARC_DIP"; 
            externalType = VARCHAR2; 
            name = idLienConsultationParcoursDiplome; 
            valueClassName = NSString; 
            width = 4000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_PARCOURS_ANNEE"; 
            externalType = NUMBER; 
            name = idParcoursAnnee; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_PARCOURS_DIPLOME"; 
            externalType = NUMBER; 
            name = idParcoursDiplome; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_PRE_ETUDIANT"; 
            externalType = NUMBER; 
            name = idPreEtudiant; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_PRE_ETUDIANT_ANNEE"; 
            externalType = Number; 
            name = idPreEtudiantAnnee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_PRE_INSCRIPTION"; 
            externalType = NUMBER; 
            name = idPreInscription; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_REGIME_INSCRIPTION"; 
            externalType = NUMBER; 
            name = idRegimeInscription; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TYPE_ECHANGE"; 
            externalType = NUMBER; 
            name = idtypeEchange; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TYPE_INSCRIPTION_FORMATION"; 
            externalType = NUMBER; 
            name = idTypeInscriptionFormation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NIVEAU; 
            externalType = NUMBER; 
            name = niveau; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PASSAGE_CONDITIONNEL"; 
            name = passageConditionnel; 
            prototypeName = intBoolean; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_CREATION"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_MODIFICATION"; 
            externalType = NUMBER; 
            name = persIdModification; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = REDOUBLEMENT; 
            name = redoublement; 
            prototypeName = intBoolean; 
        }, 
        {
            allowsNull = Y; 
            columnName = REORIENTATION; 
            name = reorientation; 
            prototypeName = intBoolean; 
        }
    ); 
    attributesUsedForLocking = (annee, idDiplome, idPreEtudiant, idPreInscription); 
    className = "org.cocktail.fwkcktlprescolarite.common.metier.EOPreInscription"; 
    classProperties = (
        annee, 
        cycleAmenage, 
        dCreation, 
        dModification, 
        idEtablissementCumulatif, 
        idLienConsultationAnnee, 
        idLienConsultationDiplome, 
        idLienConsultationParcoursAnnee, 
        idLienConsultationParcoursDiplome, 
        idParcoursAnnee, 
        idParcoursDiplome, 
        niveau, 
        passageConditionnel, 
        persIdCreation, 
        persIdModification, 
        redoublement, 
        reorientation, 
        toDiplome, 
        toEtablissementCumulatif, 
        toEtudiantAnnee, 
        toGradeUniversitaire, 
        toParcoursAnnee, 
        toParcoursDiplome, 
        toPreEtudiant, 
        toRegimeInscription, 
        toTypeEchange, 
        toTypeInscriptionFormation
    ); 
    externalName = "SCO_PRE_SCOLARITE.PRE_INSCRIPTION"; 
    fetchSpecificationDictionary = {}; 
    name = EOPreInscription; 
    primaryKeyAttributes = (idPreInscription); 
    relationships = (
        {
            destination = "Sco_Diplome"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idDiplome; }); 
            name = toDiplome; 
        }, 
        {
            destination = "Sco_EtablissementCumulatif"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idEtablissementCumulatif; 
                    sourceAttribute = idEtablissementCumulatif; 
                }
            ); 
            name = toEtablissementCumulatif; 
        }, 
        {
            destination = EOPreEtudiantAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idPreEtudiantAnnee; 
                    sourceAttribute = idPreEtudiantAnnee; 
                }
            ); 
            name = toEtudiantAnnee; 
        }, 
        {
            destination = "Sco_GradeUniversitaire"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = grade; }); 
            name = toGradeUniversitaire; 
        }, 
        {
            destination = "Sco_Parcours"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idParcoursAnnee; }); 
            name = toParcoursAnnee; 
        }, 
        {
            destination = "Sco_Parcours"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idParcoursDiplome; }); 
            name = toParcoursDiplome; 
        }, 
        {
            destination = EOPreEtudiant; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idPreEtudiant; sourceAttribute = idPreEtudiant; }); 
            name = toPreEtudiant; 
        }, 
        {
            destination = "Sco_RegimeInscription"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = idRegimeInscription; }); 
            name = toRegimeInscription; 
        }, 
        {
            destination = "Sco_TypeEchange"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeEchange; sourceAttribute = idtypeEchange; }); 
            name = toTypeEchange; 
        }, 
        {
            destination = "Sco_TypeInscriptionFormation"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idTypeInscriptionFormation; 
                    sourceAttribute = idTypeInscriptionFormation; 
                }
            ); 
            name = toTypeInscriptionFormation; 
        }
    ); 
}
